import { eventModuleKey, } from '@equinor/fusion-framework-module-event';
import { useModule } from '@equinor/fusion-framework-react-module';
import { createContext, useContext } from 'react';
export const context = createContext(undefined);
const useModulesEventProvider = () => useModule(eventModuleKey);
export const { Consumer: EventConsumer, Provider: EventProvider } = context;
export const useEventProvider = () => {
    const provider = useContext(context);
    const moduleProvider = useModulesEventProvider();
    if (provider) {
        return provider;
    }
    else if (moduleProvider) {
        return moduleProvider;
    }
    throw Error('no event provider in context, nor configured within module scope');
};
export default EventProvider;
//# sourceMappingURL=EventProvider.js.map