import { useMemo } from 'react';
import { filterEvent } from '@equinor/fusion-framework-module-event';
import { useEventProvider } from 'EventProvider';
export const useEventStream = (key, operator) => {
    const provider = useEventProvider();
    return useMemo(() => {
        return provider.event$.pipe(filterEvent(key), operator !== null && operator !== void 0 ? operator : ((x) => x));
    }, [provider, key, operator]);
};
export default useEventStream;
//# sourceMappingURL=useEventStream.js.map